//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FlashPlayerControl.hpp"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TTransparentFlashPlayerControl *TransparentFlashPlayerControl1;
        TPopupMenu *PopupMenu;
        TMenuItem *MinimizeMenuItem;
        TMenuItem *CloseMenuItem;
        TMenuItem *N1;
        TMenuItem *AboutFINBOX1;
        TMenuItem *Buylicense1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormKeyPress(TObject *Sender, char &Key);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall CloseMenuItemClick(TObject *Sender);
        void __fastcall MinimizeMenuItemClick(TObject *Sender);
        void __fastcall AboutFINBOX1Click(TObject *Sender);
        void __fastcall Buylicense1Click(TObject *Sender);
        void __fastcall TransparentFlashPlayerControl1MouseDown(
          TObject *Sender, TMouseButton Button, TShiftState Shift, int X,
          int Y);
        void __fastcall TransparentFlashPlayerControl1MouseUp(
          TObject *Sender, TMouseButton Button, TShiftState Shift, int X,
          int Y);
private:	// User declarations
        TPoint FStartPoint;
        TPoint FWindowLeftTop;
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
